<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="google-signin-client_id"
        content="540930156046-nkhv70dcqpudpei7db57ia5jqvfhhoba.apps.googleusercontent.com">
    <title>Login y Registro con HTML5 y CSS3</title>
    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Lato&display=swap" rel="stylesheet">
    <!-- Estilos CSS -->
    <link rel="stylesheet" href="../../css/style.css">
    <!-- Favicon -->
    <link rel="shortcut icon" href="../../img/favicon.png" type="image/x-icon">
</head>

<body>
    <main>
        <article>
            <section>
                <form>
                    <h1>Registrate</h1>
                    <img src="../../icons-social/facebook.svg" title="Inicia Sesion con Facebook"
                        alt="Inicia Sesion con Facebook">
                    <img src="../../icons-social/google.svg" title="Inicia Sesion con Google"
                        alt="Inicia Sesion con Google">
                    <img src="../../icons-social/twitter.svg" title="Inicia Sesion con Twitter"
                        alt="Inicia Sesion con Twitter">
                    <img src="../../icons-social/github.svg" title="Inicia Sesion con GitHub"
                        alt="Inicia Sesion con GitHub">
                    <div class="g-signin2" data-onsuccess="onSignIn"></div>

                    <input type="text" id="name" name="name" placeholder="Nombre"><br />
                    <input type="text" id="surname" name="surname" placeholder="Apellidos"><br />
                    <input type="text" id="email" name="email" placeholder="Correo electr&oacute;nico"><br />
                    <input type="password" id="password" name="password" placeholder="Contrase&ntilde;a"><br />
                    <input type="password" id="password2" name="password2"
                        placeholder="Repite la Contrase&ntilde;a"><br />
                    <button id="send" type="submit">Entrar</button>
                    <button type="reset">Limpiar</button>

                    <p>Ya tienes cuenta ?</p>
                    <p>
                        <a href="login.html">Inicia Sesion</a>
                    </p>
                    <button
                        onclick="signOut();location.href='http://localhost:5500/registro_sesion/src/views/login.html'">LogOut</button>
                </form>
            </section>
        </article>
    </main>

    <div id="fb-root"></div>
    <script async defer crossorigin="anonymous"
        src="https://connect.facebook.net/es_LA/sdk.js#xfbml=1&version=v12.0&appId=747105002919685&autoLogAppEvents=1"
        nonce="fk48ABWN">
        </script>

    <div class="fb-login-button" data-width="" data-size="large" data-button-type="continue_with" data-layout="default"
        data-auto-logout-link="true" data-use-continue-as="true" data-onsuccess="onSignFb">
    </div>
    <h3 id="msj"></h3>

    <fb:login-button scope="public_profile,email" onlogin="checkLoginState();">
    </fb:login-button>
</body>
<script src="./script.js"></script>
<script src="./index.js"></script>
<script src="https://apis.google.com/js/platform.js" async defer></script>
<script>
    window.fbAsyncInit = function () {
        FB.init({
            appId: 747105002919685,
            cookie: true,
            xfbml: true,
            version: 1.0
        });

        FB.AppEvents.logPageView();

    };

    (function (d, s, id) {
        var js, fjs = d.getElementsByTagName(s)[0];
        if (d.getElementById(id)) { return; }
        js = d.createElement(s); js.id = id;
        js.src = "https://connect.facebook.net/en_US/sdk.js";
        fjs.parentNode.insertBefore(js, fjs);
    }(document, 'script', 'facebook-jssdk'));


    function checkLoginState() {
        FB.getLoginStatus(function (response) {
            statusChangeCallback(response);
        });
    }

</script>

</html>